Subject: Re: powerpc: udbg based backend for hvc_console

From: Timur Tabi <[email-masked]>
Date: Tue, 18 Nov 2008 09:06:17 -0600

David Gibson wrote:

> Given the variety of strange I/O configurations in prototype and
> embedded platforms, I can't imagine this was a unique situation.  So
> I've pushed my patch out, so anyone else in a similar situation can
> immediately turn their little udbg methods for whatever strange I/O
> they have into a fully-functional console.  Maybe it's not something
> you'd want to go to release with, but it certainly simplifies life
> during bringup.

Ok, I understand now.  However, I would like to see two changes:

1) Re-arrange the Makefile as I pointed out in another post.

2) Update the Kconfig help file to be very clear that this feature is only
meaningful if the platform has a udbg back-end but no other console or TTY driver.

-- 
Timur Tabi
Linux kernel developer at Freescale